• Revista PROGRAMAR: Já está disponível a edição #53 da revista programar. Faz já o download aqui!

joaoramos

SQL incompatível com MySQL4

4 mensagens neste tópico

Olá pessoal, este é o meu primeiro post aqui ;)

Estou com um pequeno problema: depois de exportar para SQL uma base de dados desenhada em MySQL Workbench, tentei correr o script e criar as tabelas, mas não possível, devido ao seguinte erro:

Erro

Comando SQL:

SET @OLD_SQL_MODE = @ @SQL_MODE ,

SQL_MODE = 'TRADITIONAL';

Mensagens do MySQL : Documentação

#1231 - Variable 'sql_mode' can't be set to the value of 'TRADITIONAL'

Na minha ignorância, algo me diz que é porque o SQL exportado (p/ MySQL5) não é compatível com a versão do MySQL que tenho na minha conta da mediatemple (v4.1.25).

Bem, alguém sabe alguma forma de fazer um 'downgrade' do SQL para conseguir ser lido em MySQL4? Algum tweak ali no início do SQL para dar resultado? Não sei se este problema é simples ou complicado demais, mas a verdade é que é mesmo MUITO importante eu conseguir instalar esta porcaria toda hoje (o site está em baixo por minha causa, lol).

Vá, qualquer ajudinha era muito bem-vinda! ;)

Obrigado a todos.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Ou tirar esse 'ruído' todo e deixar simplesmente os create table.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Ou tirar esse 'ruído' todo e deixar simplesmente os create table.

yep, comentei as linhas que pegavam no sql mode e passou a funcionar :)

muito obrigado! ;)

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Crie uma conta ou ligue-se para comentar

Só membros podem comentar

Criar nova conta

Registe para ter uma conta na nossa comunidade. É fácil!


Registar nova conta

Entra

Já tem conta? Inicie sessão aqui.


Entrar Agora